> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Getwarrant Lockup

> Lists a warrant's lockups in sequence order with settlement, tax reference and running cumulative units.

Not available to API keys yet. It will need `grants:read` and `banking:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/getwarrant-lockup
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/getwarrant-lockup:
    get:
      operationId: getwarrantLockup
      summary: Getwarrant Lockup
      description: >-
        Lists a warrant's lockups in sequence order with settlement, tax
        reference and running cumulative units.


        Not available to API keys yet. It will need `grants:read` and
        `banking:read`.
      parameters:
        - name: warrantID
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetwarrantLockupResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetwarrantLockupResponse:
      type: array
      items:
        type: object
        additionalProperties: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
